Autarchy of the Private Cave

Tiny bits of bioinformatics, [web-]programming etc

    • Archives

    • Recent comments

    Archive for October 1st, 2008

    Debian, fgl_glxgears: Using GLX_SGIX_pbuffer… Segmentation fault

    1st October 2008

    If you get Segmentation fault when trying to run fgl_glxgears in your Debian desktop environment, most often this would mean that 3D acceleration isn’t enabled.

    For the case of ATI (and ATI Mobility) Radeon series, the easiest procedure would be (doing all as root, or prepending sudo to all commands):

    1. aptitude update, to ensure you’ve got the list of latest packages
    2. aptitude install fglrx-driver fglrx-control fglrx-kernel-src, for the actual driver; I also installed fglrx-atieventsd and fglrx-glx (these are driver-recommended packages)
    3. aptitude install module-assistant, required for building the kernel module
    4. module-assistant prepare, to verify that you have everything needed for the module build procedure
    5. module-assistant update
    6. module-assistant auto-install fglrx, to build and install the fglrx kernel module
    7. depmod -a
    8. modprobe fglrx, to load the fglrx kernel module
    9. aticonfig ––initial, to configure ATI’s device section in /etc/X11/xorg.conf (for more options, see aticonfig ––help)
    10. reboot

    Read the rest of this entry »

    Share

    Posted in *nix | 5 Comments »